grk::GrkObjectWrapper Class Referenceabstract

`#include <GrkObjectWrapper.h>`

Inheritance diagram for grk::GrkObjectWrapper:

## Public Member Functions

| GrkObjectWrapper (void)
virtual | ~GrkObjectWrapper (void)
int32_t | ref (void)
int32_t | unref (void)
virtual void | release (void)=0

## Private Attributes

std::atomic< int32_t > | ref_count

## Constructor & Destructor Documentation

## GrkObjectWrapper()

grk::GrkObjectWrapper::GrkObjectWrapper | ( | void |  | ) |

explicit

## ~GrkObjectWrapper()

grk::GrkObjectWrapper::~GrkObjectWrapper | ( | void |  | ) |

virtual

## Member Function Documentation

## ref()

int32_t grk::GrkObjectWrapper::ref | ( | void |  | ) |

References ref_count.

## release()

virtual void grk::GrkObjectWrapper::release | ( | void |  | ) |

pure virtual

Implemented in grk::GrkObjectWrapperImpl< T >.

Referenced by unref().

## unref()

int32_t grk::GrkObjectWrapper::unref | ( | void |  | ) |

References grk::GRK_WARN(), ref_count, and release().

Referenced by grk_object_unref().

## Member Data Documentation

## ref_count

std::atomic<int32_t> grk::GrkObjectWrapper::ref_count

private

Referenced by ref(), and unref().

The documentation for this class was generated from the following files:

- GrkObjectWrapper.h
- GrkObjectWrapper.cpp